package com.zjrs.zwnw.jbxxgl.bpo.impl;

import com.zjrs.zwnw.jbxxgl.blo.JbxxglCommonBLO;
import com.zjrs.zwnw.jbxxgl.bpo.JbxxglCommonBPO;
import com.zjrs.zwnw.jbxxgl.dto.AreaDTO;
import com.zjrs.zwnw.portal.dto.common.CommonDictDTO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service
public class JbxxglCommonPBOimpl implements JbxxglCommonBPO {

    @Resource
    private JbxxglCommonBLO commonBLO;

    @Override
    public List<Object> getXzqhTree(AreaDTO dto) {
        return commonBLO.getXzqhTree(dto);
    }

    @Override
    public Map<String, Object> getJbxxDicts(CommonDictDTO dto) {
        return commonBLO.getJbxxDicts(dto);
    }

    @Override
    public List<Object> getSshyTree(AreaDTO dto) {
        return commonBLO.getSshyTree(dto);
    }
}
